export function createRawStore(store: any): {
    /**
     * Resets the state to the given input.
     *
     * @param {Object} state the new value to reset the state to.
     */
    reset: (state: Object) => void;
    /**
     * Sets the specified key in the store. This function is equivaluent to the `useSetStoreValue` hook.
     *
     * @param {string} key the property to set in the store
     * @param {Object} value the value of the property
     */
    set: (key: string, value: Object) => void;
    /**
     * delete the specified key from the store. This function is equivaluent to the `useDeleteStoreValue` hook.
     *
     * @param {string} key the property to set in the store
     */
    delete: (key: string) => void;
    /**
     * @returns the global state value of the store
     */
    getState: () => any;
};
